PSOC E8XXGP Device Support Library

| PSOC E8XXGP Device Support Library

Data Fields
vg_lite_stroke_t Struct Reference

## Data Fields
vg_lite_cap_style_t | cap_style
vg_lite_join_style_t | join_style
vg_lite_float_t | line_width
vg_lite_float_t | miter_limit
vg_lite_float_t * | dash_pattern
vg_lite_uint32_t | pattern_count
vg_lite_float_t | dash_phase
vg_lite_float_t | dash_length
vg_lite_uint32_t | dash_index
vg_lite_float_t | half_width
vg_lite_float_t | pattern_length
vg_lite_float_t | miter_square
vg_lite_path_point_ptr | path_points
vg_lite_path_point_ptr | path_end
vg_lite_uint32_t | point_count
vg_lite_path_point_ptr | left_point
vg_lite_path_point_ptr | right_point
vg_lite_path_point_ptr | stroke_points
vg_lite_path_point_ptr | stroke_end
vg_lite_uint32_t | stroke_count
vg_lite_path_list_ptr | path_list_divide
vg_lite_path_list_ptr | cur_list
vg_lite_uint8_t | add_end
vg_lite_uint8_t | dash_reset
vg_lite_sub_path_ptr | stroke_paths
vg_lite_sub_path_ptr | last_stroke
vg_lite_uint32_t | swing_handling
vg_lite_float_t | swing_deltax
vg_lite_float_t | swing_deltay
vg_lite_path_point_ptr | swing_start
vg_lite_path_point_ptr | swing_stroke
vg_lite_float_t | swing_length
vg_lite_float_t | swing_centlen
vg_lite_uint32_t | swing_count
vg_lite_uint8_t | need_swing
vg_lite_uint8_t | swing_ccw
vg_lite_float_t | stroke_length
vg_lite_uint32_t | stroke_size
vg_lite_uint8_t | fattened
vg_lite_uint8_t | closed
vg_lite_hw_memory_t | uploaded

## Field Documentation

## ◆ cap_style

vg_lite_cap_style_t vg_lite_stroke_t::cap_style

## ◆ join_style

vg_lite_join_style_t vg_lite_stroke_t::join_style

## ◆ line_width

vg_lite_float_t vg_lite_stroke_t::line_width

## ◆ miter_limit

vg_lite_float_t vg_lite_stroke_t::miter_limit

## ◆ dash_pattern

vg_lite_float_t* vg_lite_stroke_t::dash_pattern

## ◆ pattern_count

vg_lite_uint32_t vg_lite_stroke_t::pattern_count

## ◆ dash_phase

vg_lite_float_t vg_lite_stroke_t::dash_phase

## ◆ dash_length

vg_lite_float_t vg_lite_stroke_t::dash_length

## ◆ dash_index

vg_lite_uint32_t vg_lite_stroke_t::dash_index

## ◆ half_width

vg_lite_float_t vg_lite_stroke_t::half_width

## ◆ pattern_length

vg_lite_float_t vg_lite_stroke_t::pattern_length

## ◆ miter_square

vg_lite_float_t vg_lite_stroke_t::miter_square

## ◆ path_points

vg_lite_path_point_ptr vg_lite_stroke_t::path_points

## ◆ path_end

vg_lite_path_point_ptr vg_lite_stroke_t::path_end

## ◆ point_count

vg_lite_uint32_t vg_lite_stroke_t::point_count

## ◆ left_point

vg_lite_path_point_ptr vg_lite_stroke_t::left_point

## ◆ right_point

vg_lite_path_point_ptr vg_lite_stroke_t::right_point

## ◆ stroke_points

vg_lite_path_point_ptr vg_lite_stroke_t::stroke_points

## ◆ stroke_end

vg_lite_path_point_ptr vg_lite_stroke_t::stroke_end

## ◆ stroke_count

vg_lite_uint32_t vg_lite_stroke_t::stroke_count

## ◆ path_list_divide

vg_lite_path_list_ptr vg_lite_stroke_t::path_list_divide

## ◆ cur_list

vg_lite_path_list_ptr vg_lite_stroke_t::cur_list

## ◆ add_end

vg_lite_uint8_t vg_lite_stroke_t::add_end

## ◆ dash_reset

vg_lite_uint8_t vg_lite_stroke_t::dash_reset

## ◆ stroke_paths

vg_lite_sub_path_ptr vg_lite_stroke_t::stroke_paths

## ◆ last_stroke

vg_lite_sub_path_ptr vg_lite_stroke_t::last_stroke

## ◆ swing_handling

vg_lite_uint32_t vg_lite_stroke_t::swing_handling

## ◆ swing_deltax

vg_lite_float_t vg_lite_stroke_t::swing_deltax

## ◆ swing_deltay

vg_lite_float_t vg_lite_stroke_t::swing_deltay

## ◆ swing_start

vg_lite_path_point_ptr vg_lite_stroke_t::swing_start

## ◆ swing_stroke

vg_lite_path_point_ptr vg_lite_stroke_t::swing_stroke

## ◆ swing_length

vg_lite_float_t vg_lite_stroke_t::swing_length

## ◆ swing_centlen

vg_lite_float_t vg_lite_stroke_t::swing_centlen

## ◆ swing_count

vg_lite_uint32_t vg_lite_stroke_t::swing_count

## ◆ need_swing

vg_lite_uint8_t vg_lite_stroke_t::need_swing

## ◆ swing_ccw

vg_lite_uint8_t vg_lite_stroke_t::swing_ccw

## ◆ stroke_length

vg_lite_float_t vg_lite_stroke_t::stroke_length

## ◆ stroke_size

vg_lite_uint32_t vg_lite_stroke_t::stroke_size

## ◆ fattened

vg_lite_uint8_t vg_lite_stroke_t::fattened

## ◆ closed

vg_lite_uint8_t vg_lite_stroke_t::closed

## ◆ uploaded

vg_lite_hw_memory_t vg_lite_stroke_t::uploaded